Installing Ejabberd XMPP Server on FreeBSD
01/23/2015 11:05 AM - Daniel Curtis

Status: Closed Start date: 01/23/2015
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: XMPP Server Estimated time: 1.00 hour
Target version: FreeBSD 9 Spent time: 2.00 hours
Description

Install Ejabberd

¢ |nstall the Ejabberd server. Use the following command:
pkg install ejabberd openssl

e Enable ejabberd to start at boot:
echo 'ejabberd_enable="YES"' >> /etc/rc.conf

When pkg finishes, the Ejabberd server will have been successfully installed, and will be ready for configuration.

Configuring Ejabberd

* Create a configuration file from the example config:
cp /usr/local/etc/ejabberd/ejabberd.yml.example /usr/local/etc/ejabberd/ejabberd.yml
e Edit the new configuration file:

vi /usr/local/etc/ejabberd/ejabberd.yml

o Add the XMPP domain to be served:

hosts:
— "localhost"
- "example.com"

NOTE: Ejabberd is very feature rich, so adjust the configuration to suit whatever the use case may be.

Adding Users
® Register a new user:
su - ejabberd
ejabberdctl register admin example.com SuperSecretPassword

o Then add this to /usr/local/etc/ejabberd/ejabberd.yml:

admin:
user:
- "admin": "example.com"

¢ Now that the admin user has been added, the web interface can be accessed at http://example.com:5280/admin

Resources

e http://www.process-one.net/docs/ejabberd/guide_en.html
¢ https://www.ejabberd.im/node/1562
¢ http://www.freebsdonline.com/content/view/921/531/

History

#1 - 01/23/2015 11:07 AM - Daniel Curtis

- Status changed from New to In Progress

#2 - 01/24/2015 03:22 PM - Daniel Curtis
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#3 - 01/27/2015 11:18 AM - Daniel Curtis

- Status changed from Resolved to Closed

#4 - 02/14/2015 10:47 AM - Daniel Curtis

- Target version set to FreeBSD 9

#5 - 02/14/2015 12:04 PM - Daniel Curtis
- Category set to XMPP Server
